<?php
	/*OmegaBB 0.9.4*/
    include('omegabb.php');
	
    $oldpass=GetParam($_REQUEST,'oldpass','');
	$newpass0=GetParam($_REQUEST,'newpass0','');
	$newpass1=GetParam($_REQUEST,'newpass1','');
    $ck=GetParam($_REQUEST,'ck','');
	
    $auth_ret = Check_Auth();

    if( $auth_ret <= 0) {
    	   echo "-1^?".intext("Not signed in");
    	   return ;
    }   
	
    echo NewPassword($auth_ret, $oldpass, $newpass0, $newpass1, $ck);		
?> 